GET
/alerts/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/alerts/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/alerts/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/alerts/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Retrieve all configured alerts for a given project with pagination support.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
service
string
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
Responses
Section titled “Responses”Successful response with alerts list
Media typeapplication/json
object
code
integer
message
string
total_page_number
integer
total_count
integer
data
Array<object>
object
id
integer
name
string
location
string
location_key
string
resource_type
string
resource_type_key
string
metric_type
string
metric_type_key
string
metric_type_unit
string
operator
string
operator_key
string
threshold_value
number format: float
severity
string
severity_key
string
monitoring_groups
Array<object>
object
id
integer
name
string
description
string
project
integer
member_ids
Array<integer>
alerts
Array<object>
object
id
integer
name
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
attached_resources
Array<object>
object
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
errors
object
Example
{ "code": 200, "message": "Success", "total_page_number": 1, "total_count": 3, "data": [ { "id": 42, "name": "alert-260320091734", "location": "Delhi", "location_key": "Delhi", "resource_type": "Instance", "resource_type_key": "notebook", "metric_type": "CPU Utilization", "metric_type_key": "cpu", "metric_type_unit": "%", "operator": "Less Than", "operator_key": "<", "threshold_value": 12, "severity": "Critical", "severity_key": "Critical", "monitoring_groups": [ { "id": 26, "name": "Dev-Team", "description": "", "project": 10450, "member_ids": [ 12345 ], "alerts": [ { "id": 42, "name": "alert-260320091734" } ], "created_by": { "id": 1001, "name": "User Name", "email": "user@example.com", "username": "user@example.com" }, "created_at": "2026-03-19T11:32:09Z", "updated_at": "2026-03-19T11:32:09Z" } ], "attached_resources": [], "created_by": { "id": 1001, "name": "User Name", "email": "user@example.com", "username": "user@example.com" }, "created_at": "2026-03-20T03:47:48Z", "updated_at": "2026-03-20T03:47:48Z" } ], "errors": {}}